#!/bin/bash
RQid=`docker ps |grep SS | awk '{print $1}'`
echo -e "\033[31m ### 一: ### \033[0m"
echo -e "\033[31m ### 下载 安装 Docker ### \033[0m"
echo -e "\033[31m  cd && wget  http://8.210.81.239/Docker/get-docker.sh &&  chmod +x get-docker.sh && ./root/get-docker.sh  \033[0m"
cd && wget  http://8.210.81.239/Docker/get-docker.sh &&  chmod +x get-docker.sh && ./root/get-docker.sh

echo -e "\033[31m ### 二: ### \033[0m"
echo -e "\033[31m ### 安装 Docker 命令自动补全 ### \033[0m"
echo -e "\033[31m ### yum install -y bash-completion   ### \033[0m"
yum install -y bash-completion

echo -e "\033[31m ### 三: ### \033[0m"
echo -e "\033[31m ### 打开 Docker 自动启动 ### \033[0m"
echo -e "\033[31m ###  systemctl enable docker   ### \033[0m"
systemctl enable docker
echo -e "\033[31m ### : ### \033[0m"
echo -e "\033[31m ### 启动Docker ### \033[0m"
echo -e "\033[31m ###  systemctl start docker ### \033[0m"
systemctl start docker

echo -e "\033[31m ### 五: ### \033[0m"
echo -e "\033[31m ### 加入 Docker 用户组 ### \033[0m"
echo -e "\033[31m ###  usermod -aG docker $USER  ### \033[0m"
usermod -aG docker $USER 

echo -e "\033[31m ### 六: ### \033[0m"
echo -e "\033[31m ### 获取 Docker 镜像 ### \033[0m"
echo -e "\033[31m ###  docker pull youmingyu/youmingyu-6379:centos7-SS  ### \033[0m"
docker pull youmingyu/youmingyu-6379:centos7-SS

echo -e "\033[31m ### 七: ### \033[0m"
echo -e "\033[31m ### 或者直接下载 Docker 镜像 ### \033[0m"
echo -e "\033[31m ###  wget  http://8.210.81.239/Docker/Centos7-SS.tar ### \033[0m"

echo -e "\033[31m ### 八: ### \033[0m"
echo -e "\033[31m ###  然后恢复镜像 ###   \033[0m"
echo -e "\033[31m ###  docker load -i Centos7-SS.tar  ###\033[0m"

echo -e "\033[31m ### 九: ### \033[0m"
echo -e "\033[31m ### 启动 Docker 容器 ### \033[0m"
echo -e "\033[31m ### docker run -p 映射端口(宿主机):容器  --name 指定容器名称  --privileged=true(允许使用sys命令开机启动)  --restart=always(启动容器自动运行)  -d 1b39896a1864(后台启动)  /usr/sbin/init  ### ### \033[0m"
echo -e "\033[31m ### docker run -p 8388:8388 --name SS --privileged=true  --restart=always  -d 1b39896a1864  /usr/sbin/init  ### \033[0m"
docker run -p 8388:8388 --name SS --privileged=true  --restart=always  -d 1b39896a1864  /usr/sbin/init

echo -e "\033[31m ### 十: ### \033[0m"
echo -e "\033[31m ### 进入 Docker 容器 ### \033[0m"
#echo -e "\033[31m ###  docker exec -it 81bf9cc1529c /bin/bash ### \033[0m"
echo -e "\033[31m ###  docker exec -it  "$RQid"  /bin/bash ### \033[0m"
